<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: levelset_houc Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">levelset_houc Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a1488bdc78358dcdae8acdbd53455637c"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelevelset__houc.html#a1488bdc78358dcdae8acdbd53455637c">levelset_houc_init</a> (vdf)</td></tr>
<tr class="separator:a1488bdc78358dcdae8acdbd53455637c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e77fe8133ae46f30ba8677893c75b5b"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelevelset__houc.html#a3e77fe8133ae46f30ba8677893c75b5b">levelset_houc_residual</a> (vdf)</td></tr>
<tr class="separator:a3e77fe8133ae46f30ba8677893c75b5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a1488bdc78358dcdae8acdbd53455637c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1488bdc78358dcdae8acdbd53455637c">&#9670;&nbsp;</a></span>levelset_houc_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public levelset_houc::levelset_houc_init </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacescalar__houc__func.html#a090146050dd76f88c80b13aed0c96c7f">scalar_houc_func::scalar_houc_init()</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelevelset__houc_a1488bdc78358dcdae8acdbd53455637c_cgraph.png" border="0" usemap="#namespacelevelset__houc_a1488bdc78358dcdae8acdbd53455637c_cgraph" alt=""/></div>
<map name="namespacelevelset__houc_a1488bdc78358dcdae8acdbd53455637c_cgraph" id="namespacelevelset__houc_a1488bdc78358dcdae8acdbd53455637c_cgraph">
<area shape="rect" id="node2" href="namespacescalar__houc__func.html#a090146050dd76f88c80b13aed0c96c7f" title="scalar_houc_func::scalar\l_houc_init" alt="" coords="208,315,375,357"/>
<area shape="rect" id="node3" href="namespacelink__metric__generic__simple.html#ab8f161972844e950767ee55d83a58eba" title="link_metric_generic\l_simple::link_metric\l_generic_to" alt="" coords="442,151,581,207"/>
<area shape="rect" id="node4" href="scalar__houc__func_8f90.html#abc4898e652def98d14e311d9086d3920" title="get_nhouc_option" alt="" coords="449,231,573,257"/>
<area shape="rect" id="node17" href="namespacescalar__houc__func.html#a09bc43d7a4113515d3ae3e3ab4496dfb" title="scalar_houc_func::allocate\l_solver_houc" alt="" coords="423,282,600,323"/>
<area shape="rect" id="node18" href="namespacelink__solver__houc.html#ada7ccea5f2f6c06fba86b1e88ffc0512" title="link_solver_houc::unlink\l_solver_houc" alt="" coords="431,347,592,389"/>
<area shape="rect" id="node19" href="namespacelink__solver__houc.html#a0c3b615b1087de5b569d043cfc5cf7fa" title="link_solver_houc::link\l_solver_houc_to" alt="" coords="438,413,585,454"/>
<area shape="rect" id="node20" href="namespacemath.html#a0de5286d603952707f30d1816648a4cd" title="math::hofvi" alt="" coords="468,479,555,505"/>
<area shape="rect" id="node5" href="namespaceparser.html#a37469d8ebb80992941bd709e551b98ef" title="parser::check_param" alt="" coords="648,256,792,283"/>
<area shape="rect" id="node10" href="nga__func_8f90.html#aee41a5c53bddcfa0c97c3013b50fc977" title="die" alt="" coords="701,68,739,95"/>
<area shape="rect" id="node12" href="namespaceparser.html#a78c63fa231dbf4d7adae5c4ba724d6ee" title="parser::get_param" alt="" coords="657,205,783,232"/>
<area shape="rect" id="node15" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="672,340,768,367"/>
<area shape="rect" id="node6" href="namespaceparser.html#a91aaf4597fa9c7a14a57273280085469" title="parser::reset_tag_list" alt="" coords="863,289,1007,316"/>
<area shape="rect" id="node7" href="namespaceparser.html#a34f545c81b46c08e17a82c1628281242" title="parser::add_tag_to_list" alt="" coords="857,340,1012,367"/>
<area shape="rect" id="node8" href="namespaceparser.html#ae0cbde482df428447cce9a30d81332e7" title="parser::compare_tag\l_param" alt="" coords="864,158,1005,199"/>
<area shape="rect" id="node9" href="namespaceparser.html#ae72f9b0f3318c3dc4c2290a3c543d78b" title="parser::compare_domain\l_param" alt="" coords="852,223,1017,265"/>
<area shape="rect" id="node11" href="namespaceparallel__m.html#a0d5c44f41dcecb4b8722abd7ea3523fb" title="parallel_m::parallel_kill" alt="" coords="858,5,1011,32"/>
<area shape="rect" id="node13" href="namespaceparser.html#a99f99745577c0d4e01da2a949b601bf0" title="parser::in_param_rewind_tag" alt="" coords="840,56,1029,83"/>
<area shape="rect" id="node14" href="namespaceparser.html#ab0e00b1de2b23d9655cc7707e51ebae9" title="parser::in_param_rewind" alt="" coords="853,107,1017,133"/>
<area shape="rect" id="node16" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="869,391,1000,433"/>
<area shape="rect" id="node21" href="namespacemath.html#a80ddbd5b53c5d3820b161f9f1316cb9f" title="math::inverse_matrix" alt="" coords="648,479,792,505"/>
</map>
</div>

</div>
</div>
<a id="a3e77fe8133ae46f30ba8677893c75b5b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e77fe8133ae46f30ba8677893c75b5b">&#9670;&nbsp;</a></span>levelset_houc_residual()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public levelset_houc::levelset_houc_residual </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacelink__solver__houc.html#a50c79892d420e90fa49a99641750eeeb">link_solver_houc::houc_xm</a>, <a class="el" href="namespacelink__solver__houc.html#a06d12897de330d495c600d5a1bb82067">link_solver_houc::houc_xp</a>, <a class="el" href="namespacelink__solver__houc.html#a4fb8d7536b10a7fd113abc75c4ad8035">link_solver_houc::houc_ym</a>, <a class="el" href="namespacelink__solver__houc.html#aca4372deea155e9115dce5a352141501">link_solver_houc::houc_yp</a>, <a class="el" href="namespacelink__solver__houc.html#afb8a9270f5fa8bca0f71f5f2159ee079">link_solver_houc::houc_zm</a>, <a class="el" href="namespacelink__solver__houc.html#a4285e4e0e1363c9ce6244e2f16d9da98">link_solver_houc::houc_zp</a>, <a class="el" href="namespacelink__levelset.html#ad540c96c24b3a968101b7f48fd7a3e77">link_levelset::link_levelset_to()</a>, <a class="el" href="namespacelink__metric__generic__simple.html#ab8f161972844e950767ee55d83a58eba">link_metric_generic_simple::link_metric_generic_to()</a>, <a class="el" href="namespacelink__levelset.html#addb7b3635b81d63ed825d7471c0a40d4">link_levelset::lvlset</a>, <a class="el" href="namespacelink__levelset.html#a5c419a52a524f4bd1333e39c2b37fc7f">link_levelset::lvlsetold</a>, <a class="el" href="namespacelink__metric__generic__simple.html#ae104cf0e32dddb557bc85ddc6336404c">link_metric_generic_simple::met_g</a>, <a class="el" href="namespacelink__levelset.html#a74719e4267d1794fde39ee30b73b334c">link_levelset::reslvlset</a>, <a class="el" href="namespacescalar__bc__m.html#aa4ba3aa99e64c46e17ad5d1a2dc7d3f4">scalar_bc_m::scalar_bc_coeff_neumann_conv()</a>, <a class="el" href="namespacescalar__houc__func.html#a2bd2685e412e131eda7f7b17e884b23c">scalar_houc_func::scalar_houc_coeff()</a>, <a class="el" href="namespacescalar__houc__func.html#a2754d0b679f882aff0506e727c32572c">scalar_houc_func::scalar_houc_free_memory()</a>, <a class="el" href="namespacelink__levelset.html#a8ca3fe6ed62fbd0fdf27d37c750cbbd5">link_levelset::srclvlset</a>, <a class="el" href="namespacecfd__advection__schemes.html#a6cb6755070e0f4e7334b510a28e00ad1">cfd_advection_schemes::st1</a>, <a class="el" href="namespacecfd__advection__schemes.html#a6fe95c73b019175b6bfff89e08959102">cfd_advection_schemes::st2</a>, <a class="el" href="namespacelink__solver__houc.html#a033d9c812caa480354836f2af2918e24">link_solver_houc::sthm1</a>, <a class="el" href="namespacelink__solver__houc.html#ab27695cbd158838657123ce333f5fd9d">link_solver_houc::sthm2</a>, <a class="el" href="namespacelink__solver__houc.html#aebc3d368c0142c08501148777b3a752c">link_solver_houc::sthp1</a>, and <a class="el" href="namespacelink__solver__houc.html#a8a77a7081c95735e2dd723d1dc457214">link_solver_houc::sthp2</a>.</p>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelevelset__houc_a3e77fe8133ae46f30ba8677893c75b5b_cgraph.png" border="0" usemap="#namespacelevelset__houc_a3e77fe8133ae46f30ba8677893c75b5b_cgraph" alt=""/></div>
<map name="namespacelevelset__houc_a3e77fe8133ae46f30ba8677893c75b5b_cgraph" id="namespacelevelset__houc_a3e77fe8133ae46f30ba8677893c75b5b_cgraph">
<area shape="rect" id="node2" href="namespacelink__levelset.html#ad540c96c24b3a968101b7f48fd7a3e77" title="link_levelset::link\l_levelset_to" alt="" coords="234,63,357,104"/>
<area shape="rect" id="node3" href="namespacelink__metric__generic__simple.html#ab8f161972844e950767ee55d83a58eba" title="link_metric_generic\l_simple::link_metric\l_generic_to" alt="" coords="226,129,365,185"/>
<area shape="rect" id="node4" href="namespacescalar__bc__m.html#aa4ba3aa99e64c46e17ad5d1a2dc7d3f4" title="scalar_bc_m::scalar\l_bc_coeff_neumann_conv" alt="" coords="208,209,383,251"/>
<area shape="rect" id="node21" href="namespacescalar__houc__func.html#a2bd2685e412e131eda7f7b17e884b23c" title="scalar_houc_func::scalar\l_houc_coeff" alt="" coords="212,275,379,316"/>
<area shape="rect" id="node24" href="namespacescalar__houc__func.html#a2754d0b679f882aff0506e727c32572c" title="scalar_houc_func::scalar\l_houc_free_memory" alt="" coords="212,340,379,381"/>
<area shape="rect" id="node5" href="namespacetiming__func.html#a776e2a5455103b78c7a9a26f1e638f1c" title="timing_func::timing\l_start" alt="" coords="447,268,579,309"/>
<area shape="rect" id="node9" href="namespacemetric__scalar__func.html#a560b2a7060e9a4020dfe207698293665" title="metric_scalar_func\l::set_metric_scalar\l_for_bcs" alt="" coords="446,137,579,193"/>
<area shape="rect" id="node20" href="namespacetiming__func.html#aa639b61a260c425d315e0a03a7095b5f" title="timing_func::timing_stop" alt="" coords="431,217,595,243"/>
<area shape="rect" id="node6" href="namespacetiming__func.html#ad9ca8eb5f3e74371804090961642e350" title="timing_func::timing\l_find_timer" alt="" coords="663,268,795,309"/>
<area shape="rect" id="node7" href="nga__func_8f90.html#aee41a5c53bddcfa0c97c3013b50fc977" title="die" alt="" coords="925,305,963,331"/>
<area shape="rect" id="node8" href="namespaceparallel__m.html#a0d5c44f41dcecb4b8722abd7ea3523fb" title="parallel_m::parallel_kill" alt="" coords="1087,305,1240,331"/>
<area shape="rect" id="node10" href="namespacemetric__scalar__func.html#ad3b97c94dfab95661d3bc618a7d60ad6" title="metric_scalar_func\l::metric_scalar_bc_metric" alt="" coords="643,129,815,171"/>
<area shape="rect" id="node11" href="namespacebc__metric__func.html#a61842eb68dd63aa27606403d6421bd85" title="bc_metric_func::bc\l_metric_set_stencil" alt="" coords="877,173,1011,215"/>
<area shape="rect" id="node13" href="namespacebc__metric__func.html#aa952d541dbd708d1cb739ada359d89d1" title="bc_metric_func::add\l_bc_metric" alt="" coords="874,239,1014,280"/>
<area shape="rect" id="node14" href="metric__generic_8f90.html#a4eeacb9a87e8187b107af5ac88d63d6d" title="bc_metric_allocate\l_ops_s" alt="" coords="879,5,1009,47"/>
<area shape="rect" id="node18" href="metric__generic_8f90.html#ae42bba4be35922b0fdc967113b1f4b59" title="bc_metric_resize_ops_s" alt="" coords="863,71,1025,98"/>
<area shape="rect" id="node19" href="metric__generic_8f90.html#a896302266d3ab6b4fbc029f0ebdb600a" title="bc_metric_enforce_cyl" alt="" coords="867,122,1021,149"/>
<area shape="rect" id="node12" href="namespacebc__metric__func.html#a581044cbba4e15be69f686ba8cb6e9e1" title="bc_metric_func::set\l_dist_e_for_free_xm" alt="" coords="1093,173,1233,215"/>
<area shape="rect" id="node15" href="namespacebc__metric__func.html#a13d0c9b402015ef27760d0b5f86b986c" title="bc_metric_func::bc\l_metric_allocate_ops_work" alt="" coords="1073,5,1253,47"/>
<area shape="rect" id="node16" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="1301,13,1397,39"/>
<area shape="rect" id="node17" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="1445,5,1576,47"/>
<area shape="rect" id="node22" href="namespacelink__solver__houc.html#ada7ccea5f2f6c06fba86b1e88ffc0512" title="link_solver_houc::unlink\l_solver_houc" alt="" coords="432,399,593,440"/>
<area shape="rect" id="node23" href="namespacelink__solver__houc.html#a0c3b615b1087de5b569d043cfc5cf7fa" title="link_solver_houc::link\l_solver_houc_to" alt="" coords="439,333,586,375"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
